Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.rules
Class LexDictionary

    java.lang.Object
      ipipan.spejd.util.SimpleDict
          ipipan.spejd.rules.LexDictionary

    public class LexDictionary

extends SimpleDict

Field Summary
`protected java.util.TreeMap<java.lang.String,T>` | `dict`

Constructor Summary
`LexDictionary(java.lang.String filename, Config conf)`

Method Summary
`void` | `apply(Entity e)`
`java.util.TreeMap<java.lang.String,T>` | `getDict()`
`void` | `load(java.lang.String filename)` Loads configuration from a specified file.
`void` | `put(java.lang.String var, java.lang.String value)` Override put() from superclass to add conversion of the tag value.
`void` | `report()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dict

    protected java.util.TreeMap<java.lang.String,T> dict

Constructor Detail

### LexDictionary

    public LexDictionary(java.lang.String filename,
                         Config conf)

Method Detail

### put

    public void put(java.lang.String var,
                    java.lang.String value)

  Override put() from superclass to add conversion of the tag value.

  Overrides:
    `put` in class `SimpleDict`
  Parameters:
    `var` - name of the variable to set
    `value` - value of the variable as String

### apply

    public void apply(Entity e)

### report

    public void report()

### load

    public void load(java.lang.String filename)

  Loads configuration from a specified file.

  Parameters:
    `filename` - name of the configuration file

### getDict

    public java.util.TreeMap<java.lang.String,T> getDict()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD